cURL
curl --request POST \
--url https://api.comm.com/api/v1/sms/routing/routes/smpp-connections/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"username": "<string>",
"password": "<string>",
"port": 123,
"dlr_url": "<string>",
"dlr_port": 123,
"workers_count": 5,
"workers_delay": 123,
"system_type": "<string>"
}
'import requests
url = "https://api.comm.com/api/v1/sms/routing/routes/smpp-connections/test"
payload = {
"url": "<string>",
"username": "<string>",
"password": "<string>",
"port": 123,
"dlr_url": "<string>",
"dlr_port": 123,
"workers_count": 5,
"workers_delay": 123,
"system_type": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
username: '<string>',
password: '<string>',
port: 123,
dlr_url: '<string>',
dlr_port: 123,
workers_count: 5,
workers_delay: 123,
system_type: '<string>'
})
};
fetch('https://api.comm.com/api/v1/sms/routing/routes/smpp-connections/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}SmsRoutingSmppConnections
Post v1smsroutingroutessmpp connectionstest
POST
/
v1
/
sms
/
routing
/
routes
/
smpp-connections
/
test
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
- Option 1
- Option 2
⌘I